Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/menu.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions
menu.h File Reference
`#include "menu_g.h"`
`#include <QDialog>`
`#include <QMenuBar>`
`#include "control.h"`

Go to the source code of this file.

## Data Structures

class | qfc_rally_list
class | qfc_delayed_unit_item
class | qfc_units_list
class | trade_city
struct | qtiles
class | trade_generator
class | gov_menu
class | go_act_menu
class | mr_menu

## Enumerations

enum

munit {
STANDARD , EXPLORE , BOARD , DEBOARD ,
TRANSPORTER , DISBAND , CONVERT , MINE ,
PLANT , IRRIGATION , CULTIVATE , TRANSFORM ,
PILLAGE , BUILD , ROAD , FORTIFY ,
FORTRESS , AIRBASE , POLLUTION , FALLOUT ,
SENTRY , HOMECITY , WAKEUP , AUTOSETTLER ,
CONNECT_ROAD , CONNECT_RAIL , CONNECT_MAGLEV , CONNECT_IRRIGATION ,
GOTO_CITY , AIRLIFT , BUILD_WONDER , AUTOTRADEROUTE ,
ORDER_TRADE_ROUTE , ORDER_DIPLOMAT_DLG , UPGRADE , NOT_4_OBS ,
MULTIPLIERS , ENDGAME , SAVE
}

enum | delay_order { D_GOTO , D_NUKE , D_PARADROP , D_FORT }

## Functions

void | multiairlift (struct city *acity, Unit_type_id ut)

## Enumeration Type Documentation

## ◆ delay_order

enum delay_order

Enumerator
D_GOTO |
D_NUKE |
D_PARADROP |
D_FORT |

Definition at line 81 of file menu.h.

## ◆ munit

enum munit

used for indicating menu about current option - for renaming and enabling, disabling

Enumerator
STANDARD |
EXPLORE |
BOARD |
DEBOARD |
TRANSPORTER |
DISBAND |
CONVERT |
MINE |
PLANT |
IRRIGATION |
CULTIVATE |
TRANSFORM |
PILLAGE |
BUILD |
ROAD |
FORTIFY |
FORTRESS |
AIRBASE |
POLLUTION |
FALLOUT |
SENTRY |
HOMECITY |
WAKEUP |
AUTOSETTLER |
CONNECT_ROAD |
CONNECT_RAIL |
CONNECT_MAGLEV |
CONNECT_IRRIGATION |
GOTO_CITY |
AIRLIFT |
BUILD_WONDER |
AUTOTRADEROUTE |
ORDER_TRADE_ROUTE |
ORDER_DIPLOMAT_DLG |
UPGRADE |
NOT_4_OBS |
MULTIPLIERS |
ENDGAME |
SAVE |

Definition at line 39 of file menu.h.

## Function Documentation

## ◆ multiairlift()

void multiairlift | ( | struct city * | acity,
|  | Unit_type_id | ut
| ) |  |

Airlift unit type to city acity from each city

Definition at line 3925 of file menu.cpp.

Referenced by map_view::shortcut_pressed().